Subject: Re: [bug#41111] Claws-Mail

From: "Raghav Gururajan" <[email-masked]>
Date: Thu, 15 Oct 2020 22:52:13 +0000

Hi Danny!

>> This patchset (mostly patch 4) increases claws-mail's closure size from 563 MiB to 1128 MiB.
>> 
>> That's a definition of "lightweight" (see revised synopsis and description) I was not aware of.
> 
> I know :/
> 
>> I'm not necessarily opposed--but for example does it really need webkitgtk ?
>> What does it do with it ?
> 
> Yeah, it enables a feature called "Fancy" (HTML stuff).
> 
>> (There were really bad security problems in Microsoft Outlook because they
>> were using a more-capable-than-necessary web browser to render HTML mail,
>> back in the day?)
> 
> The fancy is disabled my default. So, user should enable it only if required.

Hmm. Would you be able to comment-out the webkitgtk input while pushing? In future, if someone really needs it, then we can include it.

Regards,
RG.